var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "./config", "./config/injector", "./middleware/guards", "./middleware/handlers", "./middleware/processors", "./middleware/services", "./middleware/transforms", "./middleware/upgrades", "./middleware/util", "./core/interface"], factory);
    }
})(function (require, exports) {
    "use strict";
    function __export(m) {
        for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
    }
    Object.defineProperty(exports, "__esModule", { value: true });
    const config_1 = __importDefault(require("./config"));
    exports.start = config_1.default;
    const injector_1 = require("./config/injector");
    const guards = __importStar(require("./middleware/guards"));
    exports.guards = guards;
    const handlers = __importStar(require("./middleware/handlers"));
    exports.handlers = handlers;
    const processor = __importStar(require("./middleware/processors"));
    exports.processor = processor;
    const services = __importStar(require("./middleware/services"));
    exports.services = services;
    const transforms = __importStar(require("./middleware/transforms"));
    exports.transforms = transforms;
    const upgrades = __importStar(require("./middleware/upgrades"));
    exports.upgrades = upgrades;
    const util = __importStar(require("./middleware/util"));
    exports.util = util;
    __export(require("./core/interface"));
    exports.register = (type) => injector_1.createInjector(type);
    exports.default = config_1.default;
});
//# sourceMappingURL=index.js.map