/// <reference types="node" />
import { IncomingHttpHeaders } from 'http';
import { GuardFactory } from '../../core/interface';
declare type HeaderGuardProperties<K extends IncomingHttpHeaders = IncomingHttpHeaders> = {
    [P in keyof K]: string;
};
export declare const headerGuard: GuardFactory<HeaderGuardProperties>;
export {};
