/// <reference types="node" />
import { IncomingMessage, ServerResponse } from 'http';
import Server from 'http-proxy';
import { HandlerFactory } from '../../core/interface';
export interface ProxyProperties {
    baseUrl: string;
    proxy?: Server;
    onProxyCallback?(error: Error, request: IncomingMessage, response: ServerResponse): Promise<void>;
}
export declare const proxy: HandlerFactory<ProxyProperties>;
